MPI_Free_mem(3)

NAME
MPI_Free_mem - Frees memory that has been allocated using MPI_Alloc_mem.

SYNTAX

C Syntax
#include <mpi.h>
int MPI_Free_mem(void *base)

Fortran Syntax
USE MPI
! or the older form: INCLUDE 'mpif.h'
MPI_FREE_MEM(BASE, IERROR)
	<type> BASE(*)
	INTEGER IERROR

Fortran 2008 Syntax
USE mpi_f08
MPI_Free_mem(base, ierror)
	TYPE(*), DIMENSION(..), INTENT(IN), ASYNCHRONOUS :: base
	INTEGER, OPTIONAL, INTENT(OUT) :: ierror

C++ Syntax
#include <mpi.h>
void MPI::Free_mem(void *base)

INPUT PARAMETER

base
    Initial address of memory segment allocated by MPI_Alloc_mem (choice).

OUTPUT PARAMETER

IERROR
    Fortran only: Error status (integer).

DESCRIPTION
MPI_Free_mem frees memory that has been allocated by MPI_Alloc_mem.

ERRORS
Almost all MPI routines return an error value; C routines as the value of the function and Fortran routines in the last argument. C++ functions do not return errors. If the default error handler is set to MPI::ERRORS_THROW_EXCEPTIONS, then on error the C++ exception mechanism will be used to throw an MPI::Exception object.

Before the error value is returned, the current MPI error handler is called. By default, this error handler aborts the MPI job, except for I/O function errors. The error handler may be changed with MPI_Comm_set_errhandler; the predefined error handler MPI_ERRORS_RETURN may be used to cause error values to be returned. Note that MPI does not guarantee that an MPI program can continue past an error.

SEE ALSO
MPI_Alloc_mem